unit uDataModuleImpresiones;

interface

uses
  SysUtils, Classes, DB, uDAInterfaces, uDADataTable,
  uDAScriptingProvider, uDAMemDataTable, uDADataStreamer, uDABin2DataStreamer,
  uDARemoteDataAdapter, uROClient, uRORemoteService, uDataModuleBase;

type
  TDataModuleImpresiones = class(TDataModuleBase)
    Bin2DataStreamer: TDABin2DataStreamer;
    RORemoteService: TRORemoteService;
    procedure DAClientDataModuleCreate(Sender: TObject);
  public
    function AnadirMarcaImpresion(const Tabla: String; IdsTabla: String): Boolean;
  end;

var
  dmImpresiones: TDataModuleImpresiones;
    
implementation
{$R *.DFM}

uses
  Dialogs, FactuGES_Intf, uDataModuleConexion, uDataTableUtils, cxControls;

{ TdmFamilias }

function TDataModuleImpresiones.AnadirMarcaImpresion(const Tabla: String; IdsTabla: String): Boolean;
begin
  Result := (RORemoteService as IsrvImpresiones).AnadirMarcaImpresion(Tabla, IdsTabla);
end;

procedure TDataModuleImpresiones.DAClientDataModuleCreate(Sender: TObject);
begin
  RORemoteService.Channel := dmConexion.Channel;
  RORemoteService.Message := dmConexion.Message;
end;


end.
